FROM debian:bookworm-slim

RUN apt update && apt install -y tar wget git vim
USER root

RUN rm -rf /usr/local/go && wget https://go.dev/dl/go1.22.5.linux-amd64.tar.gz -O - | tar -C /usr/local -xzf -
RUN echo "export PATH=$PATH:/usr/local/go/bin" >> /etc/profile
RUN echo "export PATH=$PATH:/usr/local/go/bin:/root/go/bin" >> /root/.bashrc

# install delve
RUN /usr/local/go/bin/go install github.com/go-delve/delve/cmd/dlv@latest

COPY ./run-tests.sh /usr/local/bin
ENTRYPOINT ["sleep", "infinity"]
